<?
only_reg();

$_SESSION['sid'] = mt_rand(000, 999);
$set['title'] = __('Чёрный список');
include_once H . 'sys/inc/thead.php';
title();
aut(); 
err();

?>
<div class="foot"><a href="/user/blacklist/"><?= __('Черный список')?></a> | <b><?= __('Список')?></b></div>
<?
$k_post = mysql_result(mysql_query("SELECT COUNT(id_black) FROM `user_black` WHERE `id_user` = '$user[id]'"), 0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = ($set['p_str'] * $page) - $set['p_str'];

?><table class="post"><?

if ($k_post == 0)
{
	?>
	<div class="mess">
	<?= __('Черный список пользователей пуст')?>
	</div>
	<?
}

$q = mysql_query("SELECT `id_black`, `time` FROM `user_black` WHERE `id_user` = '$user[id]' LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_assoc($q)) {
	
	$ank = user::get_user($post['id_black']);
	
	?>
	<div class="nav2">
	<a href="?func=details&amp;id=<?= $ank['id']?>"><?=$ank['icon'] . $ank['nick'] . $ank['medal'] . $ank['online']?></a>  (<?= ($post['time'] > time() || $post['time'] == 0 ? 
	'<span style="color: green;">Активен</span>' : '<span style="color: red;">Время истекло</span>')?>)
	</div>
	<?
}
?>
</table>

<?
if ($k_page > 1) {
	str('?func=list&amp;', $k_page, $page);
}
?>

<div class="foot"><a href="/user/blacklist/"><?= __('Черный список')?></b> | <b><?= __('Список')?></b></div>